Bug 1820492 - [ovirt] Cannot run openshift-install as a non-root user
Summary: [ovirt] Cannot run openshift-install as a non-root user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Roy Golan
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On: 1814172
Blocks: OCPRHV-198
TreeView+ depends on / blocked
 
Reported: 2020-04-03 08:19 UTC by Roy Golan
Modified: 2020-06-29 15:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1814172
Environment:
Last Closed: 2020-06-29 15:33:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3405 0 None closed [release-4.4] Bug 1814172: [ovirt] Cannot run openshift-install as a non-root user 2020-08-31 09:26:45 UTC
Red Hat Product Errata RHBA-2020:2713 0 None None None 2020-06-29 15:34:17 UTC

Comment 2 Sandro Bonazzola 2020-05-19 12:04:54 UTC
https://github.com/openshift/installer/pull/3405 has been merged

Comment 5 Guilherme Santos 2020-06-22 08:49:09 UTC
Verified on: 
openshift-install-linux-4.4.0-0.nightly-2020-06-14-013357
ovirt-engine-4.4.1.2-0.10.el8ev.noarch

Steps:
1. created a new user: ocp
2. created ~/.ovirt/ovirt-config.yaml file for ocp user (given https://bugzilla.redhat.com/show_bug.cgi?id=1804228)
3. installed ocp following the tutorial

Results:
ocp sucessfully installed and fully operational from non-root user

Comment 8 errata-xmlrpc 2020-06-29 15:33:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2713


Note You need to log in before you can comment on or make changes to this bug.